# PSF-LoginServer - master - net.psforever.packet.game.objectcreate.CommonFieldData
PSF - LoginServer - master - net.psforever.packet.game.objectcreate.CommonFieldData
Keywords: PSF LoginServer master net.psforever.packet.game.objectcreate.CommonFieldData

PSF-LoginServer - master < Back


# Packages

-  package root
  Definition Classes
    root
-  package net
  Definition Classes
    root
-  package psforever
  Definition Classes
    net
-  package packet
  Definition Classes
    psforever
-  package game
  Definition Classes
    packet
-  package objectcreate
  Definition Classes
    game
- AegisShieldGeneratorData
- AmmoBoxData
- BasicCharacterData
- CaptureFlagData
- CharacterAppearanceA
- CharacterAppearanceB
- CharacterAppearanceData
- CharacterData
- CommonFieldData
- CommonFieldDataExtra
- CommonFieldDataWithPlacement
- ConstructorData
- DCDExtra1
- DCDExtra2
- DestroyedVehicleData
- DetailedAmmoBoxData
- DetailedCharacterA
- DetailedCharacterB
- DetailedCharacterData
- DetailedCommandDetonaterData
- DetailedConstructionToolData
- DetailedLockerContainerData
- DetailedPlayerData
- DetailedREKData
- DetailedWeaponData
- DrawnSlot
- DroppedItemData
- DroppodData
- FlightPhysics
- HandheldData
- ImplantEffects
- ImplantEntry
- InternalSlot
- InventoryData
- InventoryItemData
- LargeDeployableData
- LockerContainerData
- MountItem
- ObjectClass
- ObjectCreateBase
- ObjectCreateMessageParent
- OneMannedFieldTurretData
- OrbitalShuttleData
- PlacementData
- PlayerData
- Prefab
- REKData
- RemoteProjectileData
- RemoteProjectiles
- RibbonBars
- SmallTurretData
- SpecificVehicleData
- StreamBitSize
- TRAPData
- TelepadDeployableData
- TerminalData
- UniformStyle
- UtilityVehicleData
- VariantVehicleData
- VehicleData
- VehicleFormat
- WeaponData

o

net.psforever.packet.game.objectcreate

# CommonFieldData 

###
Companion class CommonFieldData

#### object CommonFieldData extends Marshallable[CommonFieldData] with Serializable

Source
  CommonFieldData.scala

Linear Supertypes
Serializable, Marshallable[CommonFieldData], AnyRef, Any

Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. CommonFieldData
2. Serializable
3. Marshallable
4. AnyRef
5. Any

1. Hide All
2. Show All

Visibility

1. Public
2. Protected

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##: Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  def apply(faction: types.PlanetSideEmpire.Value, bops: Boolean, destroyed: Boolean, unk: Int, jammered: Boolean, player_guid: PlanetSideGUID): CommonFieldData
5.  def apply(faction: types.PlanetSideEmpire.Value, destroyed: Boolean, unk: Int, player_guid: PlanetSideGUID): CommonFieldData
6.  def apply(faction: types.PlanetSideEmpire.Value, destroyed: Boolean, unk: Int): CommonFieldData
7.  def apply(faction: types.PlanetSideEmpire.Value, unk: Int, player_guid: PlanetSideGUID): CommonFieldData
8.  def apply(faction: types.PlanetSideEmpire.Value, unk: Int): CommonFieldData
9.  def apply(faction: types.PlanetSideEmpire.Value): CommonFieldData
10.  def apply(): CommonFieldData

    Overloaded constructors.

    Overloaded constructors.

    returns

      a `CommonFieldData` object

11.  final def asInstanceOf[T0]: T0
    Definition Classes
      Any
12.  def clone(): AnyRef
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.CloneNotSupportedException]) @native()
13.  def codec(extra: Boolean): Codec[CommonFieldData]
14.  implicit val codec: Codec[CommonFieldData]
    Definition Classes
      CommonFieldData → Marshallable
15.  def codec2(extra: Boolean): Codec[CommonFieldData]
16.  val codec2: Codec[CommonFieldData]
17.  def decode(a: BitVector): Attempt[DecodeResult[CommonFieldData]]
    Definition Classes
      Marshallable
18.  def encode(a: CommonFieldData): Attempt[BitVector]
    Definition Classes
      Marshallable
19.  final def eq(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
20.  def equals(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef → Any
21.  def finalize(): Unit
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.Throwable])
22.  final def getClass(): Class[_ <: AnyRef]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
23.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
24.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
25.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
26.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
27.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
28.  final def synchronized[T0](arg0: => T0): T0
    Definition Classes
      AnyRef
29.  def toString(): String
    Definition Classes
      AnyRef → Any
30.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
31.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
32.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException]) @native()

### Inherited from Serializable

### Inherited from Marshallable[CommonFieldData]

### Inherited from AnyRef

### Inherited from Any

### Ungrouped